#ifndef KROSSTOPDUCONTEXT_H
#define KROSSTOPDUCONTEXT_H

#include<QtCore/QVariant>

//This is file has been generated by xmltokross, you should not edit this file but the files used to generate it.

namespace KDevelop { class ReferencedTopDUContext; }
namespace KDevelop { class IndexedTopDUContext; }
namespace KDevelop { class TopDUContext; }
namespace KDevelop { class Cache; }
namespace Handlers
{
	QVariant _kDevelopTopDUContextCacheHandler(void* type);
	QVariant kDevelopTopDUContextCacheHandler(KDevelop::TopDUContext::Cache* type);
	QVariant kDevelopTopDUContextCacheHandler(const KDevelop::TopDUContext::Cache* type);

	QVariant _kDevelopTopDUContextHandler(void* type);
	QVariant kDevelopTopDUContextHandler(KDevelop::TopDUContext* type);
	QVariant kDevelopTopDUContextHandler(const KDevelop::TopDUContext* type);

	QVariant _kDevelopIndexedTopDUContextHandler(void* type);
	QVariant kDevelopIndexedTopDUContextHandler(KDevelop::IndexedTopDUContext* type);
	QVariant kDevelopIndexedTopDUContextHandler(const KDevelop::IndexedTopDUContext* type);

	QVariant _kDevelopReferencedTopDUContextHandler(void* type);
	QVariant kDevelopReferencedTopDUContextHandler(KDevelop::ReferencedTopDUContext* type);
	QVariant kDevelopReferencedTopDUContextHandler(const KDevelop::ReferencedTopDUContext* type);

}

#endif
